﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.Data;
using System.Windows.Data;

namespace SL_DataGrid_DoubleClick
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded_1(object sender, RoutedEventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("CurrencyCode", typeof(int));
            dt.Columns.Add("Industry", typeof(string));
            dt.Columns.Add("Market", typeof(string));
            dt.Columns.Add("Sector", typeof(int));
            dt.Columns.Add("Total", typeof(decimal));
            dt.Columns.Add("SecurityType", typeof(string));

            dt.Rows.Add(1, "Ind1", "M1", 56, null, "type1");
            dt.Rows.Add(2, "Ind2", "M2", 65, null, "type2");
            dt.Rows.Add(3, "Ind3", "M3", 54, 30045.005, "type3");
            dt.Rows.Add(4, "Ind4", "M4", 78, 40045.47, "type4");
            dt.Rows.Add(5, "Ind5", "M5", 21, 50340.475, "type5");
            dt.Rows.Add(6, "Ind6", "M6", 45, 600895.42, "type6");
            dt.Rows.Add(7, "Ind7", "M7", 59, 70048.78, "type7");
            dt.Rows.Add(8, "Ind8", "M8", 77, 80085.90, "type8");
            dt.Rows.Add(9, "Ind9", "M9", 62, 90076.78, "type9");

            C1.Silverlight.Data.DataView dv = new DataView(dt);
            datagrid.ItemsSource = dv;

            datagrid.LoadedRowPresenter += datagrid_LoadedRowPresenter;
                    
        }

        void datagrid_LoadedRowPresenter(object sender, C1.Silverlight.DataGrid.DataGridRowEventArgs e)
        {
            //Using the C1TapHelper class
            C1.Silverlight.C1TapHelper double_tap = new C1.Silverlight.C1TapHelper(e.Row.Presenter);
            double_tap.DoubleTapped += double_tap_DoubleTapped;
        }

        //Handle the Double Click event to display Row content
        void double_tap_DoubleTapped(object sender, C1.Silverlight.C1TappedEventArgs e)
        {
            string data = null;
            for (int I = 0; I <= datagrid.Columns.Count - 1; I++)
            {
                object nulldata = ((C1.Silverlight.Data.DataRowView)(datagrid.Selection.SelectedRows[0].DataItem)).GetData(I);
                if (nulldata == null)
                    data = data + "null" + " ";
                else
                data = data + ((C1.Silverlight.Data.DataRowView)(datagrid.Selection.SelectedRows[0].DataItem)).GetData(I).ToString() + " ";
            }
            C1.Silverlight.C1MessageBox.Show("Row Data : \n" + data);
        }
    }
}
